#include "inheritance_constructor.h"
#include <iostream>

class BaseClass {
private:
  int value;

public:
  BaseClass(int value) : value(value){};
  void print() { std::cout << value; };
};

class SubClass : public BaseClass {
public:
  using BaseClass::BaseClass;
};

void InheritanceConstructor::run() {
  std::cout << "SubClass(23).print(): ";
  SubClass(23).print();
  std::cout << std::endl;
}
